
with AVR;		use AVR;
with AVR.MCU;		use AVR.MCU;
with Interfaces;	use Interfaces;

package interrupt_handler is
	pragma Elaborate_Body;
	
	LED: boolean renames PORTB_Bits(1);
	debug_pin: boolean renames PORTB_Bits(2);
	gate: boolean renames PORTB_Bits(0);
	safe_voltage: boolean renames PINB_Bits(4);
	
	overcurrent_treshold: constant Unsigned_8 := Unsigned_8(6.7*0.185*1024/5);
	overcurrent_flag: boolean := false;
	pragma Volatile(overcurrent_flag);
	overvoltage_flag: boolean := false;
	pragma Volatile(overvoltage_flag);
		
	type filter_pointer_type is mod 16;
	current_filter: array(filter_pointer_type'Range) of Unsigned_8;
	filter_pointer: filter_pointer_type := 0;
	pragma Volatile(current_filter);

end interrupt_handler;